//----------------------------------------------------------------------//
// \\															//
//																		//
//----------------------------------------------------------------------//
#ifndef UsrHighlightH
#define UsrHighlightH
//---------------------------------------------------------------------------
#include <vcl.h>
#include <tchar.h>
#include "UIniFile.h"

//---------------------------------------------------------------------------
#define FEXT_C_SRC	_T(".c.cc.cpp.cxx")
#define FEXT_C_HDR	_T(".h.hh.hpp.hxx")
#define FEXT_C_SH	FEXT_C_SRC FEXT_C_HDR
#define FEXT_PASCAL	_T(".pas.dpr.dpk.inc")

#define FEXT_PROGRAM	FEXT_C_SH FEXT_PASCAL _T(".ahk.as.asm.awk.bas.bsh.cgi.cs.d.fs.go.hs.hsp.inc.java.js.jsx.kt.kts.lisp.lsp.lua.mac.php.pl.pm.ps1.psm1.py.qml.rb.rc.drc.rs.sh.swift.scala.sql.st.vb.vbs.v.vhd.PspScript")
															//vO

#define FEXT_HTML	_T(".htm.html.sht.shtm.shtml.hta.xhtml.xht.hhc.hhk.php")
															//HTML
#define FEXT_XML	_T(".xml.xsd.xsl.xslt.dtd.svg.rdf.manifest.library-ms.cdxml.ps1xml.ptxml.csproj.vbproj.vcxproj.cbproj.xaml")
															//XML

#define FEXT_NRM_REM	FEXT_C_SH _T(".as.cs.css.d.go.idl.java.js.jsx.kt.qml.rc.rs.scala.swift.v")	//Rg // or /*`*/
#define FEXT_SMCL_REM	_T(".as.asm.h51.h32.hsp.nbt.qbt")	//Rg ;

//---------------------------------------------------------------------------
bool GetCommentList(UnicodeString fnam, TStringList *ln_lst, TStringList *bgn_lst, TStringList *end_lst,
	bool en_html = true, bool only_def = false);

UnicodeString GetReservedPtn(UnicodeString fext, bool &sns_case, bool is_xml, bool isHtm2Txt);
UnicodeString GetNumericPtn(UnicodeString fext);
UnicodeString GetSymbolChars(UnicodeString fext, bool is_xml, bool isHtm2Txt);
UnicodeString GetQuotChars(UnicodeString fext, bool &useEsc, bool is_xml, bool is_ini, bool isHtm2Txt);
UnicodeString GetFunctionPtn(UnicodeString fext, UnicodeString &name_ptn, bool isHtm2Txt);

//---------------------------------------------------------------------------
extern UsrIniFile *HighlightFile;
extern TDateTime HighlightTime;

bool GetHighlightFile(UnicodeString fnam, UnicodeString &sct);

bool GetDefaultHighlight(UnicodeString fext, TStringList *lst);

//---------------------------------------------------------------------------
#endif
